Delete environment variable
DELETE/v2/acts/:actorId/versions/:versionNumber/env-vars/:envVarName
Deletes a specific environment variable.
Request
Path Parameters
Actor ID or a tilde-separated owner's username and Actor name.
Example:janedoe~my-actorActor version.
Example:0.1The name of the environment variable
Example:MY_ENV_VARStatus 204
Response Headers
{}
Schema
- object objectExample:
{}
Status 400
Bad request - invalid input parameters or request body.
{
"error": {
"type": "invalid-input",
"message": "Invalid input: The request body contains invalid data."
}
}
Schema
error object required
- type ErrorType (string)
Machine-processable error type identifier.
Possible values: [
actor-memory-limit-exceeded,actor-not-found,invalid-input,method-not-allowed,permission-denied,rate-limit-exceeded,record-not-found,record-not-unique,record-or-token-not-found,request-id-invalid,request-too-large,run-failed,run-timeout-exceeded,token-not-valid,unknown-build-tag,unsupported-content-encoding] - message string
Human-readable error message describing what went wrong.
- type ErrorType (string)
Status 401
Unauthorized - authentication required or invalid token.
{
"error": {
"type": "token-not-valid",
"message": "Authentication token is not valid."
}
}
Schema
error object required
- type ErrorType (string)
Machine-processable error type identifier.
Possible values: [
actor-memory-limit-exceeded,actor-not-found,invalid-input,method-not-allowed,permission-denied,rate-limit-exceeded,record-not-found,record-not-unique,record-or-token-not-found,request-id-invalid,request-too-large,run-failed,run-timeout-exceeded,token-not-valid,unknown-build-tag,unsupported-content-encoding] - message string
Human-readable error message describing what went wrong.
- type ErrorType (string)
Status 403
Forbidden - insufficient permissions to perform this action.
{
"error": {
"type": "permission-denied",
"message": "You do not have permission to perform this action."
}
}
Schema
error object required
- type ErrorType (string)
Machine-processable error type identifier.
Possible values: [
actor-memory-limit-exceeded,actor-not-found,invalid-input,method-not-allowed,permission-denied,rate-limit-exceeded,record-not-found,record-not-unique,record-or-token-not-found,request-id-invalid,request-too-large,run-failed,run-timeout-exceeded,token-not-valid,unknown-build-tag,unsupported-content-encoding] - message string
Human-readable error message describing what went wrong.
- type ErrorType (string)
Status 404
Not found - the requested resource was not found.
{
"error": {
"type": "actor-not-found",
"message": "Actor was not found"
}
}
Schema
- oneOf
- ActorNotFoundError
- ActorVersionNotFoundError
- EnvironmentVariableNotFoundError
error object
- type ErrorType (string)
Machine-processable error type identifier.
Possible values: [
Constant value:actor-memory-limit-exceeded,actor-not-found,invalid-input,method-not-allowed,permission-denied,rate-limit-exceeded,record-not-found,record-not-unique,record-or-token-not-found,request-id-invalid,request-too-large,run-failed,run-timeout-exceeded,token-not-valid,unknown-build-tag,unsupported-content-encoding]actor-not-found - message string
Human-readable error message describing what went wrong.
- type ErrorType (string)
Status 405
Method not allowed.
{
"error": {
"type": "method-not-allowed",
"message": "This API end-point can only be accessed using the following HTTP methods: OPTIONS,GET"
}
}
Schema
error object required
- type ErrorType (string)
Machine-processable error type identifier.
Possible values: [
actor-memory-limit-exceeded,actor-not-found,invalid-input,method-not-allowed,permission-denied,rate-limit-exceeded,record-not-found,record-not-unique,record-or-token-not-found,request-id-invalid,request-too-large,run-failed,run-timeout-exceeded,token-not-valid,unknown-build-tag,unsupported-content-encoding] - message string
Human-readable error message describing what went wrong.
- type ErrorType (string)
Status 429
Too many requests - rate limit exceeded.
{
"error": {
"type": "rate-limit-exceeded",
"message": "You have exceeded the rate limit. Please try again later."
}
}
Schema
error object required
- type ErrorType (string)
Machine-processable error type identifier.
Possible values: [
actor-memory-limit-exceeded,actor-not-found,invalid-input,method-not-allowed,permission-denied,rate-limit-exceeded,record-not-found,record-not-unique,record-or-token-not-found,request-id-invalid,request-too-large,run-failed,run-timeout-exceeded,token-not-valid,unknown-build-tag,unsupported-content-encoding] - message string
Human-readable error message describing what went wrong.
- type ErrorType (string)